Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609272 - Can't connect to server that has both IPv4 and IPv6 addresses
Can't connect to server that has both IPv4 and IPv6 addresses
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: znc (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 15:55 EDT by Josh Stone
Modified: 2013-06-02 21:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Stone 2010-06-29 15:55:55 EDT
Description of problem:
Since upgrading to F13, my ZNC is no longer able to connect to irc.freenode.net.  If I give it one of the IPv4-only names instead, e.g. niven.freenode.net, then it connects just fine.

Version-Release number of selected component (if applicable):
znc-0.090-2.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add a connection to irc.freenode.net/6667
2. Watch it fail. :(
  
Actual results:
<*status> Attempting to connect to [irc.freenode.net 6667] ...
<*status> Disconnected from IRC (Broken pipe).  Reconnecting...
<*status> Disconnected from IRC. Reconnecting...

Expected results:
<*status> Connected!

Additional info:

I suspect that this is related to c-ares bug #548396.  I'm not sure why this is suddenly an issue though, because it looks like ZNC in F12 also used c-ares.  I do see that "ifconfig eth0" reports an inet6 addr "Scope:Global", but I'm not sure if it had that in F12.  I'm pretty sure my IPv6 doesn't work though, because "tracepath irc.freenode.net" reports "!N".

Disabling IPv6 altogether doesn't solve the problem -- then I get:
<*status> Attempting to connect to [irc.freenode.net:6667] ...
<*status> Cannot connect to IRC (Cannot assign requested address (Is your IRC server's host name valid?)). Retrying...

IRC with xchat on the same machine works fine, but then xchat doesn't use c-ares.  You can see it try IPv6 and then ultimately land on IPv4:
* Looking up irc.freenode.net
* Connecting to chat.freenode.net (2001:6b0:5:1688::10) port 6667...
* Connected. Now logging in...
* *** Looking up your hostname...
* *** Checking Ident
* *** Found your hostname
* *** No Ident response
* *** Spoofing your IP
* Welcome to the freenode Internet Relay Chat Network jistone
* Your host is farmer.freenode.net[74.208.174.239/6667], running version ircd-seven-1.0.1
Comment 1 Josh Stone 2010-06-29 16:03:54 EDT
(In reply to comment #0)
> I'm pretty sure my IPv6 doesn't work though,
> because "tracepath irc.freenode.net" reports "!N".

I meant tracepath6 reports "!N" -- tracepath works fine in IPv4.
Comment 2 Nick Bebout 2011-03-03 21:29:29 EST
Please try again with the latest znc from updates-testing

yum update znc --enablerepo=updates-testing

Thanks.
Comment 3 Josh Stone 2011-03-07 03:48:26 EST
I installed znc-0.098-0.2.beta.fc13.x86_64.  The message is a little different now, but it still doesn't work:

<*status> Attempting to connect to [irc.freenode.net 6667] ...
<*status> Disconnected from IRC (Network is unreachable).  Reconnecting...
Comment 4 Nick Bebout 2011-03-08 18:34:02 EST
I'll look into this.  In a way, it is kind of NOTABUG since your configuration is showing an IPv6 address, although it is a bug if it doesn't work even if you disable IPv6.

Do you still get the same error when you disable IPv6?
Comment 5 Josh Stone 2011-04-26 22:12:52 EDT
I finally got back to this, and now I'm up to znc-0.098-2.fc13.x86_64.

(In reply to comment #4)
> I'll look into this.  In a way, it is kind of NOTABUG since your configuration
> is showing an IPv6 address, although it is a bug if it doesn't work even if you
> disable IPv6.

I think my network admins configured IPv6 locally for testing purposes, but without routing to the internet.  But it seems reasonable to me that znc should fall over to other addresses, including IPv4, after the attempt on IPv6 fails.

> Do you still get the same error when you disable IPv6?

I tried fully-disabling IPv6 again, and it still get this error:
<*status> Cannot connect to IRC (Cannot assign requested address (Is your IRC server's host name valid?)). Retrying...
Comment 6 Bug Zapper 2011-06-01 11:14:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Josh Stone 2011-06-02 18:35:21 EDT
Same on znc-0.098-2.fc15.x86_64
Comment 8 Fedora End Of Life 2012-08-07 15:37:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jamie Lennox 2013-06-02 21:45:24 EDT
This is still relevant to RHEL6. For future people who find this issue i managed to solve it by setting the bind address for the channel to 0.0.0.0

Note You need to log in before you can comment on or make changes to this bug.